Package org.apache.tomcat.util.net

## Interface ApplicationBufferHandler

- All Known Implementing Classes:
    `BufferedInputFilter`, `ChunkedInputFilter`, `Http11InputBuffer`, `IdentityInputFilter`, `InputBuffer`, `UpgradeApplicationBufferHandler`

      public interface ApplicationBufferHandler

  Callback interface to be able to expand buffers when buffer overflow exceptions happen or to replace buffers

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static ApplicationBufferHandler` | `EMPTY` |
    `static java.nio.ByteBuffer` | `EMPTY_BUFFER` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `expand​(int size)` |
    `java.nio.ByteBuffer` | `getByteBuffer()` |
    `void` | `setByteBuffer​(java.nio.ByteBuffer buffer)` |

- - ### Field Detail

    - #### EMPTY_BUFFER

          static final java.nio.ByteBuffer EMPTY_BUFFER

    - #### EMPTY

          static final ApplicationBufferHandler EMPTY

  - ### Method Detail

    - #### setByteBuffer

          void setByteBuffer​(java.nio.ByteBuffer buffer)

    - #### getByteBuffer

          java.nio.ByteBuffer getByteBuffer()

    - #### expand

          void expand​(int size)